# DMMGGetKSP

Gets the KSP object (linear solver object) for the finest level

### Synopsis

    KSP DMMGGetKSP(DMMG *dmmg)

Not Collective

### Input Parameter

dmmg -DMMG solve context

Notes: If this is a linear problem (i.e. DMMGSetKSP() was used) then this is the master linear solver. If this is a nonlinear problem (i.e. DMMGSetSNES() was used) this returns the KSP (linear solver) that is associated with the SNES (nonlinear solver)

### See Also

DMMGCreate(), DMMGSetUser(), DMMGGetJ(), KSPGetSNES()

Level:intermediate
Location: src/snes/utils/../../../include/petscdmmg.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages